Bug 304761 - acpid leaks descriptor
acpid leaks descriptor
Product: Fedora
Classification: Fedora
Component: acpid (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Zdenek Prikryl
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-09-25 07:58 EDT by Steve Grubb
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 1.0.4-8.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-10 21:47:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
patch fixing problems described herein (994 bytes, patch)
2007-09-25 07:58 EDT, Steve Grubb
no flags Details | Diff

  None (edit)
Description Steve Grubb 2007-09-25 07:58:23 EDT
Description of problem:
The acpi daemon leaks a file descriptor to child processes in the normal Fedora

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. ls-l /proc/<pid>/fd   for acpid's pid.
Actual results:
a configuration file is still opened.

Additional info:
Will attach patch accepted upstream.
Comment 1 Steve Grubb 2007-09-25 07:58:23 EDT
Created attachment 205381 [details]
patch fixing problems described herein
Comment 5 Fedora Update System 2007-10-10 21:47:08 EDT
acpid-1.0.4-8.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.